@echo off

if %1. == ega. goto ega
if %1. == EGA. goto ega

if %1. == evxega. goto evxega
if %1. == EVXEGA. goto evxega

if %1. == hercules. goto hercules
if %1. == HERCULES. goto hercules

if %1. == mcga. goto mcga
if %1. == MCGA. goto mcga

if %1. == para800. goto para800
if %1. == PARA800. goto para800

if %1. == vga. goto vga
if %1. == VGA. goto vga

if %1. == vsevdlx. goto vsevdlx
if %1. == VSEVDLX. goto vsevdlx

if %1. == vsev720. goto vsev720
if %1. == VSEV720. goto vsev720

if %1. == vsev800. goto vsev800
if %1. == VSEV800. goto vsev800

if %1. == vsev1024. goto vsev1024
if %1. == VSEV1024. goto vsev1024



echo ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo Ί                                                                        Ί
echo Ί  Invalid video driver specified.  Format of SETUP command is:          Ί
echo Ί                                                                        Ί
echo Ί    SETUP driver                                                        Ί
echo Ί                                                                        Ί
echo Ί  Where driver is one of the following:                                 Ί
echo Ί                                                                        Ί
echo Ί    EGA       Enhanced Graphics Adapter (640x350, 16 colors)            Ί
echo Ί    EVXEGA    Everex EV-654 Graphics Adapter (640x350, 16 colors)       Ί     Ί
echo Ί    HERCULES  Hercules Graphics Controller (720x348, monochrome)        Ί
echo Ί    MCGA      IBM MCGA (640x480, monochrome)                            Ί
echo Ί    PARA800   Paradise VGA (800x600, 16 colors)                         Ί
echo Ί    VGA       IBM Video Graphics Array (640x480, 16 colors)             Ί
echo Ί    VSEVDLX   Video 7 Vega Deluxe (640x480, 16 colors)                  Ί
echo Ί    VSEV720   Video 7 VGA (720x540, 16 colors)                          Ί
echo Ί    VSEV800   Video 7 Fastwrite (800x600, 16 colors)                    Ί
echo Ί    VSEV1024  Video 7 VRAM (1024x768, 16 colors)                        Ί
echo Ί                                                                        Ί
echo ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ

goto quit

:ega
echo VERSION 1 2 > pcb.ini
echo FILE_GRA "EGA.DRV" >> pcb.ini
copy pcb.ini+color.dat pcb.ini > nul
echo ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo Ί                                                                        Ί
echo Ί  Tango-Series II has been configured for EGA (640x350, 16 colors)      Ί
echo Ί                                                                        Ί
echo ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ
goto quit

:evxega
echo VERSION 1 2 > pcb.ini
echo FILE_GRA "EVXEGA.DRV" >> pcb.ini
copy pcb.ini+color.dat pcb.ini > nul
echo ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo Ί                                                                        Ί
echo Ί  Tango-Series II has been configured for EVXEGA (640x350, 16 colors)   Ί
echo Ί                                                                        Ί
echo ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ
goto quit

:hercules
echo VERSION 1 2 > pcb.ini
echo FILE_GRA "HERCULES.DRV" >> pcb.ini
copy pcb.ini+mono.dat pcb.ini > nul
echo ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo Ί                                                                        Ί
echo Ί  Tango-Series II has been configured for HERCULES (720x348, mono)      Ί
echo Ί                                                                        Ί
echo ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ
goto quit

:mcga
echo VERSION 1 2 > pcb.ini
echo FILE_GRA "MCGA.DRV" >> pcb.ini
copy pcb.ini+mono.dat pcb.ini > nul
echo ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo Ί                                                                        Ί
echo Ί  Tango-Series II has been configured for MCGA (640x480, monochrome)    Ί
echo Ί                                                                        Ί
echo ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ
goto quit

:para800
echo VERSION 1 2 > pcb.ini
echo FILE_GRA "PARA800.DRV" >> pcb.ini
copy pcb.ini+color.dat pcb.ini > nul
echo ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo Ί                                                                        Ί
echo Ί  Tango-Series II has been configured for PARA800 (800x600, 16 colors)  Ί
echo Ί                                                                        Ί
echo ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ
goto quit

:vga
echo VERSION 1 2 > pcb.ini
echo FILE_GRA "VGA.DRV" >> pcb.ini
copy pcb.ini+color.dat pcb.ini > nul
echo ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo Ί                                                                        Ί
echo Ί  Tango-Series II has been configured for VGA (640x480, 16 colors)      Ί
echo Ί                                                                        Ί
echo ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ
goto quit

:vsevdlx
echo VERSION 1 2 > pcb.ini
echo FILE_GRA "VSEVDLX.DRV" >> pcb.ini
copy pcb.ini+color.dat pcb.ini > nul
echo ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo Ί                                                                        Ί
echo Ί  Tango-Series II has been configured for VSEVDLX (640x480, 16 colors)  Ί
echo Ί                                                                        Ί
echo ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ
goto quit

:vsev720
echo VERSION 1 2 > pcb.ini
echo FILE_GRA "VSEV720.DRV" >> pcb.ini
copy pcb.ini+color.dat pcb.ini > nul
echo ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo Ί                                                                        Ί
echo Ί  Tango-Series II has been configured for VSEV720 (720x540, 16 colors)  Ί
echo Ί                                                                        Ί
echo ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ
goto quit

:vsev800
echo VERSION 1 2 > pcb.ini
echo FILE_GRA "VSEV800.DRV" >> pcb.ini
copy pcb.ini+color.dat pcb.ini > nul
echo ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo Ί                                                                        Ί
echo Ί  Tango-Series II has been configured for VSEV800 (800x600, 16 colors)  Ί
echo Ί                                                                        Ί
echo ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ
goto quit

:vsev1024
echo VERSION 1 2 > pcb.ini
echo FILE_GRA "VSEV1024.DRV" >> pcb.ini
copy pcb.ini+color.dat pcb.ini > nul
echo ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo Ί                                                                        Ί
echo Ί  Tango-Series II has been configured for VSEV1024 (1024x768, 16 colors)Ί
echo Ί                                                                        Ί
echo ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ
goto quit

:quit

